hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From c..@apache.org
Subject svn commit: r990682 - in /hadoop/common/branches/branch-0.21: ./ CHANGES.txt src/contrib/ec2/ src/docs/ src/java/ src/test/bin/test-patch.sh src/test/core/
Date Mon, 30 Aug 2010 01:35:03 GMT
Author: cos
Date: Mon Aug 30 01:35:02 2010
New Revision: 990682

URL: http://svn.apache.org/viewvc?rev=990682&view=rev
Log:
HADOOP-6786. svn merge -c 990681 from trunk

Modified:
    hadoop/common/branches/branch-0.21/   (props changed)
    hadoop/common/branches/branch-0.21/CHANGES.txt   (contents, props changed)
    hadoop/common/branches/branch-0.21/src/contrib/ec2/   (props changed)
    hadoop/common/branches/branch-0.21/src/docs/   (props changed)
    hadoop/common/branches/branch-0.21/src/java/   (props changed)
    hadoop/common/branches/branch-0.21/src/test/bin/test-patch.sh
    hadoop/common/branches/branch-0.21/src/test/core/   (props changed)

Propchange: hadoop/common/branches/branch-0.21/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,2 +1,2 @@
-/hadoop/common/trunk:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942
+/hadoop/common/trunk:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942,990681
 /hadoop/core/branches/branch-0.19/core:713112

Modified: hadoop/common/branches/branch-0.21/CHANGES.txt
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-0.21/CHANGES.txt?rev=990682&r1=990681&r2=990682&view=diff
==============================================================================
--- hadoop/common/branches/branch-0.21/CHANGES.txt (original)
+++ hadoop/common/branches/branch-0.21/CHANGES.txt Mon Aug 30 01:35:02 2010
@@ -883,6 +883,8 @@ Release 0.21.0 - 2010-08-13
     HADOOP-6821.  Document changes to memory monitoring.  (Hemanth Yamijala
     via tomwhite)
 
+    HADOOP-6786. test-patch needs to verify Herriot integrity (cos)
+
   OPTIMIZATIONS
 
     HADOOP-5595. NameNode does not need to run a replicator to choose a

Propchange: hadoop/common/branches/branch-0.21/CHANGES.txt
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,4 +1,4 @@
-/hadoop/common/trunk/CHANGES.txt:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,951614,953504,955438,961559,962914,964130,964134,964939,966508,966919,967220,979942
+/hadoop/common/trunk/CHANGES.txt:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,951614,953504,955438,961559,962914,964130,964134,964939,966508,966919,967220,979942,990681
 /hadoop/core/branches/branch-0.18/CHANGES.txt:727226
 /hadoop/core/branches/branch-0.19/CHANGES.txt:713112
 /hadoop/core/trunk/CHANGES.txt:776175-785643,785929-786278

Propchange: hadoop/common/branches/branch-0.21/src/contrib/ec2/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,3 +1,3 @@
-/hadoop/common/trunk/src/contrib/ec2:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942
+/hadoop/common/trunk/src/contrib/ec2:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942,990681
 /hadoop/core/branches/branch-0.19/core/src/contrib/ec2:713112
 /hadoop/core/trunk/src/contrib/ec2:776175-784663

Propchange: hadoop/common/branches/branch-0.21/src/docs/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,2 +1,2 @@
-/hadoop/common/trunk/src/docs:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942
+/hadoop/common/trunk/src/docs:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942,990681
 /hadoop/core/branches/branch-0.19/src/docs:713112

Propchange: hadoop/common/branches/branch-0.21/src/java/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,3 +1,3 @@
-/hadoop/common/trunk/src/java:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942
+/hadoop/common/trunk/src/java:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942,990681
 /hadoop/core/branches/branch-0.19/core/src/java:713112
 /hadoop/core/trunk/src/core:776175-785643,785929-786278

Modified: hadoop/common/branches/branch-0.21/src/test/bin/test-patch.sh
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-0.21/src/test/bin/test-patch.sh?rev=990682&r1=990681&r2=990682&view=diff
==============================================================================
--- hadoop/common/branches/branch-0.21/src/test/bin/test-patch.sh (original)
+++ hadoop/common/branches/branch-0.21/src/test/bin/test-patch.sh Mon Aug 30 01:35:02 2010
@@ -599,6 +599,36 @@ runContribTests () {
 }
 
 ###############################################################################
+### Run the inject-system-faults target
+checkInjectSystemFaults () {
+  echo ""
+  echo ""
+  echo "======================================================================"
+  echo "======================================================================"
+  echo "    Checking the integrity of system test framework code."
+  echo "======================================================================"
+  echo "======================================================================"
+  echo ""
+  echo ""
+  
+  ### Kill any rogue build processes from the last attempt
+  $PS auxwww | $GREP HadoopPatchProcess | /usr/bin/nawk '{print $2}' | /usr/bin/xargs -t
-I {} /usr/bin/kill -9 {} > /dev/null
+
+  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= -Dtest.junit.output.format=xml
-Dtest.output=yes -Dcompile.c++=yes -Dforrest.home=$FORREST_HOME -Djava5.home=$JAVA5_HOME
inject-system-faults"
+  $ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= -Dtest.junit.output.format=xml
-Dtest.output=yes -Dcompile.c++=yes -Dforrest.home=$FORREST_HOME -Djava5.home=$JAVA5_HOME
inject-system-faults
+  if [[ $? != 0 ]] ; then
+    JIRA_COMMENT="$JIRA_COMMENT
+
+    -1 system tests framework.  The patch failed system tests framework compile."
+    return 1
+  fi
+  JIRA_COMMENT="$JIRA_COMMENT
+
+    +1 system tests framework.  The patch passed system tests framework compile."
+  return 0
+}
+
+###############################################################################
 ### Submit a comment to the defect's Jira
 submitJiraComment () {
   local result=$1
@@ -718,6 +748,8 @@ if [[ $HUDSON == "true" ]] ; then
   runContribTests
   (( RESULT = RESULT + $? ))
 fi
+checkInjectSystemFaults
+(( RESULT = RESULT + $? ))
 JIRA_COMMENT_FOOTER="Test results: http://hudson.zones.apache.org/hudson/job/$JOB_NAME/$BUILD_NUMBER/testReport/
 $JIRA_COMMENT_FOOTER"
 

Propchange: hadoop/common/branches/branch-0.21/src/test/core/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Mon Aug 30 01:35:02 2010
@@ -1,3 +1,3 @@
-/hadoop/common/trunk/src/test/core:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942
+/hadoop/common/trunk/src/test/core:944521,945941-945953,947218,947222,947882,948174,948237,948242,950309,951259,955438,961559,962914,964130,964134,964939,966508,966919,967220,979485,979942,990681
 /hadoop/core/branches/branch-0.19/core/src/test/core:713112
 /hadoop/core/trunk/src/test/core:776175-785643,785929-786278



Mime
View raw message